com.io7m.jstructural.annotated

## Interface SAFormalItemContentVisitor<A>

- Type Parameters:
    `A` - The type of values returned by the visitor

      public interface SAFormalItemContentVisitor<A>

  Formal item content visitor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `visitFormalItemList(SAFormalItemList list)` Visit a formal item list element.
    `A` | `visitImage(SAImage image)` Visit an image element.
    `A` | `visitListOrdered(SAListOrdered list)` Visit an ordered list element.
    `A` | `visitListUnordered(SAListUnordered list)` Visit an unordered list element.
    `A` | `visitTable(SATable e)` Visit a table element.
    `A` | `visitVerbatim(SAVerbatim text)` Visit a verbatim element.

- - ### Method Detail

    - #### visitFormalItemList

          A visitFormalItemList(@Nonnull
                              SAFormalItemList list)
                                throws com.io7m.jaux.Constraints.ConstraintError,
                                       Exception

      Visit a formal item list element.
      Parameters:
        `list` - The formal item list element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitImage

          A visitImage(@Nonnull
                     SAImage image)
                       throws com.io7m.jaux.Constraints.ConstraintError,
                              Exception

      Visit an image element.
      Parameters:
        `image` - The image element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitListOrdered

          A visitListOrdered(@Nonnull
                           SAListOrdered list)
                             throws com.io7m.jaux.Constraints.ConstraintError,
                                    Exception

      Visit an ordered list element.
      Parameters:
        `list` - The list element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitListUnordered

          A visitListUnordered(@Nonnull
                             SAListUnordered list)
                               throws com.io7m.jaux.Constraints.ConstraintError,
                                      Exception

      Visit an unordered list element.
      Parameters:
        `list` - The list element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitTable

          A visitTable(@Nonnull
                     SATable e)
                       throws com.io7m.jaux.Constraints.ConstraintError,
                              Exception

      Visit a table element.
      Parameters:
        `e` - The table element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitVerbatim

          A visitVerbatim(@Nonnull
                        SAVerbatim text)
                          throws com.io7m.jaux.Constraints.ConstraintError,
                                 Exception

      Visit a verbatim element.
      Parameters:
        `text` - The verbatim element
      Returns:
        A value of type `A`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

Copyright © 2014. All rights reserved.